2010-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport/BindingService.cs:
	* MonoDevelop.DesignerSupport/OpenDocumentFileProvider.cs: Use
	  the file provider from monodevelop.ide.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Track API changes.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/TextToolboxNode.cs:
	  Track API changes.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Track API changes.

2010-07-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.addin.xml: Borrow a keybinding
	  from Xcode for "Switch between related files".

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/WrapperDesignView.cs: Track API
	  changes.

2010-07-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs:
	  Swapped gradient.

2010-07-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs:
	  Removed inner border around the toolbox widget.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Fix incorrect
	  use of ShowCustomDialog/RunCustomDialog.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs: More dialog
	  placing.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ComponentSelectorDialog.cs:
	  Clean up dialog placement.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/TextToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ITextToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/TemplateToolboxNode.cs:
	  Give text toolbox nodes more control over how they insert
	  text into the document. 

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport/SwapCodeBehindCommand.cs:
	* MonoDevelop.DesignerSupport/SwitchBetweenRelatedFilesCommand.cs:
	  Rename file to match class.

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport.addin.xml:
	* MonoDevelop.DesignerSupport/Commands.cs:
	* MonoDevelop.DesignerSupport/CodeBehind.cs:
	* MonoDevelop.DesignerSupport/SwapCodeBehindCommand.cs:
	  Implemented a command for cycling between grouped files,
	  based on a patch from Curtis Wensley
	  <curtis.wensley@gmail.com>.

2010-05-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Reduce
	  the number of unnecessary redraws.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Fix crash in
	  toolbox. Fixes bug #586776 - Toolbox search widget broken.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: moved code
	  from Dispose -> OnDestroyed

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/WrapperDesignView.cs:
	  ViewContent widgets are now destroyed by the workspace
	  window.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs:
	  removed unnecessary dispose call.

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/DocumentOutlinePad.cs:
	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Fixed 'GLib.MissingIntPtrCtorException: GLib.Object subclass
	  MonoDevelop.Components.CompactScrolledWindow must provide a
	  protected or public IntPtr ctor to support wrapping of
	  native object handles.' exception.


2010-04-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Free up wasted space between scrollbars and treeview
	  contents.

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Free up
	  wasted space between scrollbars and contents.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.DesignerSupport.addin.xml: Bumped MD version.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.addin.xml: Set the default
	  location for designer pads. Register a new Visual Design
	  layout.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport.addin.xml:
	* MonoDevelop.DesignerSupport/BindingService.cs:
	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	* MonoDevelop.DesignerSupport/CodeBehindWriter.cs:
	* MonoDevelop.DesignerSupport/WrapperDesignView.cs:
	* MonoDevelop.DesignerSupport/DocumentOutlinePad.cs:
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs:
	* MonoDevelop.DesignerSupport/OpenDocumentFileProvider.cs:
	* MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs:
	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs:
	* MonoDevelop.DesignerSupport.Projects/SolutionItemDescriptor.cs:
	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ComponentSelectorDialog.cs:
	* MonoDevelop.DesignerSupport.Projects/WorkspaceItemDescriptor.cs:
	* MonoDevelop.DesignerSupport.Projects/ProjectReferenceDescriptor.cs:
	* MonoDevelop.DesignerSupport.Toolbox/CodeTemplateToolboxProvider.cs:
	* MonoDevelop.DesignerSupport.Projects/PropertyPadTextEditorExtension.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport/ToolboxPad.cs:
	* MonoDevelop.DesignerSupport/PropertyPad.cs:
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Use the new
	  DockItemToolbar class for showing toolbar commands.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs:
	  Display CustomTool/CustomToolNamespace.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  changed update delay to 1s.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Refresh sooner than the 5sec timer, if the document wasn't
	  parsed at the start.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.csproj: Flush.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ComponentSelectorDialog.cs:
	  Track api changes.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.addin.xml: Set correct
	  serializable type name.

2010-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Add tooltips
	  to toolbar items.

2010-02-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Use the
	  image service to get icons.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ComponentSelectorDialog.cs:
	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Track API changes for lazy loading images.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs:
	  Flush.

2010-01-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs:
	  Added an accessor for the Generator property.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/CodeTemplateToolboxProvider.cs:
	  Set icon for template items.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Use the correct Mono.Cairo reference.

2009-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs: Remove
	  ancient reflection code now we depend on a reasonable GTK#
	  version.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.DesignerSupport.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj: Reference mono-cairo
	  package.

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs:
	  Flush.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.DesignerSupport.addin.xml: Bump MD version.

2009-09-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj: Eliminate the property
	  grid's System.Windows.Forms dependency, because it hurts Mac
	  cold startup time.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Use reflection only when running on ms.net.

2009-09-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Tweak remove
	  message wording. Refine the GTK# item filtering hack a bit.

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Fixed Bug 538072 - NullRef in the background (not causing
	  crash).

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Set the dialog
	  transient to the root ide window.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs:
	  Fix bu #535825 - Property pad should be disabled when
	  multiple items selected.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Fixed Bug
	  373203 - Add widget to toolbox could be beefed up & Bug
	  373202 - Ask before removing widgets from toolbox.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.csproj: Updated dependencies. We
	  now depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/CodeBehind.cs: Fix checking for
	  parent - don't return nonexistent file.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Track api changes.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Use the new AssemblyContext class to query and resolve
	  assemblies.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs:
	  Flush.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/IToolboxLoader.cs: Track
	  api changes.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Projects/SolutionItemDescriptor.cs:
	* MonoDevelop.DesignerSupport.Projects/WorkspaceItemDescriptor.cs:
	  Use the new api for renaming projects and solutions.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport.PropertyGrid:
	* MonoDevelop.DesignerSupport/PropertyPad.cs:
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors:
	* MonoDevelop.DesignerSupport/PropertyPadVisitor.cs:
	* MonoDevelop.DesignerSupport/IPropertyPadProvider.cs:
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/EditorManager.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/IntRange.cs:
	* MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/EventPropertyTab.cs:
	* icons/MonoDevelop.DesignerSupport.PropertyGrid.SortByCat.png:
	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/FloatRange.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/DefaultPropertyTab.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyEditorCell.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyPadVisitor.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/EventEditor.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/IPropertyPadProvider.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/DefaultEditor.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TimeSpanEditor.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/DateTimeEditor.cs:
	* icons/MonoDevelop.DesignerSupport.PropertyGrid.EventPropertyTab.svg:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/ColorEditorCell.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/FlagsEditorCell.cs:
	* icons/MonoDevelop.DesignerSupport.PropertyGrid.EventPropertyTab.bmp:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditorDialog.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/CollectionEditor.cs:
	* icons/MonoDevelop.DesignerSupport.PropertyGrid.DefaultPropertyTab.svg:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/BooleanEditorCell.cs:
	* icons/MonoDevelop.DesignerSupport.PropertyGrid.DefaultPropertyTab.bmp:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/CharPropertyEditor.cs:
	* MonoDevelop.DesignerSupport.Projects/PropertyPadTextEditorExtension.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyEditorTypeAttribute.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/FlagsSelectorDialog.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/EnumerationEditorCell.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyValueChangedEventArgs.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/ExpandableObjectEditor.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/SurrogateUITypeEditorAttribute.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyValueChangedEventHandler.cs:
	  Moved property grid to MD.Components.

2009-07-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport/CodeBehindWriter.cs: Move
	  CodeBehindWriter from MonoDevelop.AspNet to
	  MonoDevelop.DesignerSupport.

2009-07-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs:
	  Added property for showing/hiding the toolbar.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs:
	  Use the new DesktopService instead of PlatformService.

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Track
	  assembly lookup APIs.

2009-05-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs:
	  Cosmetic fix.

2009-05-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs:
	  Don't copy fonts from the widget style to the layout. It is
	  problematic on windows. Not sure what this was needed for.

2009-05-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.PropertyGrid\PropertyGrid.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid\PropertyGridTree.cs:
	  Removed the borders. Let the dock manager handle that.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.PropertyGrid\PropertyGridTree.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors\CollectionEditor.cs:
	  Don't use Gtk.TreeIter.Equals since it is broken. Use
	  TreePath instead.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/BindingService.cs: Workaround
	  for what seems to be a mcs bug. Looks like it can't properly
	  resolve the implicit conversion of null to string.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport\CodeBehind.cs:
	* MonoDevelop.DesignerSupport\OpenDocumentFileProvider.cs: Use
	  the new FilePath class for handling file and directory
	  paths.

2009-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.csproj: Disable overflow
	  checking.

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Load
	  the default toolbox items in the background, to avoid delays
	  the first time the toolbox is shown.

	* MonoDevelop.DesignerSupport.Toolbox/IToolboxLoader.cs: Don't
	  create a toolbox service instance in the external process,
	  since it may recursively create other external processes.
	  Fixes bug #498685 - MD Locks up when toolbox is opened.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.csproj: 

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Track API changes.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/WrapperDesignView.cs: Removed
	  unused namespace.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Renamed PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Track API changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.DesignerSupport.csproj: don't require specific
	gtk-sharp version.

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxLoader.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Moved SystemAssemblyService and related classes to the
	  namespace MonoDevelop.Core.Assemblies.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.DesignerSupport.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxLoader.cs:
	* MonoDevelop.DesignerSupport.Toolbox/CecilToolboxItemLoader.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Add support for multiple target runtimes.

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.csproj:
	* MonoDevelop.DesignerSupport.Toolbox/TextToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/TemplateToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/CodeTemplateToolboxProvider.cs:
	  "fixed Bug 487736 - Clipboard ring and code snippets not
	  shown anymore in the toolbox".

2009-03-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/CodeTemplateToolboxProvider.cs:
	  Fix build.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/TypeReference.cs:
	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs:
	* MonoDevelop.DesignerSupport.Projects/SolutionItemDescriptor.cs:
	* MonoDevelop.DesignerSupport.Projects/WorkspaceItemDescriptor.cs:
	  Added explicit "Misc" category for localization.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs:
	  Worked on property pad translation.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/TypeReference.cs:
	* MonoDevelop.DesignerSupport.Toolbox/TextToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs:
	* MonoDevelop.DesignerSupport.Projects/SolutionItemDescriptor.cs:
	* MonoDevelop.DesignerSupport.Projects/WorkspaceItemDescriptor.cs:
	* MonoDevelop.DesignerSupport.Projects/ProjectReferenceDescriptor.cs:
	  Worked on propertygrid localization.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Track api
	  changes.

	* MonoDevelop.DesignerSupport.Projects/ProjectReferenceDescriptor.cs:
	  Show the source package of the reference.

2009-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs:
	  Dispose Gdk cursors, else finalisers destroy them outside of
	  the GUI thread and often crash MD due to X asserts resulting
	  in _XCBUnlockDisplay errors.

2009-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Use pad
	  font.

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs:
	  Handling font size and style propagation.

2009-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Use Pad font.

2009-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs: Fix
	  warning number.

2009-02-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs:
	  Indentation.

	* MonoDevelop.DesignerSupport/BindingService.cs: Implement
	  method for converting CodeMemberMethod to an IMethod.

2009-02-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs: Revert
	  Mike's commenting of unused method; it was in fact reflected
	  at runtime.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.csproj: Don't local-copy other
	  addins' dlls.

2009-02-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport/BindingService.cs:
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	* MonoDevelop.DesignerSupport/ErrorInFileException.cs:
	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs:
	  Fixed compiler warnings.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.mdp:
	* MonoDevelop.DesignerSupport.csproj: Migrated to MSBuild file
	  format.

2009-02-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/BindingService.cs: Improve
	  method matching; it now finds methods with broader parameter
	  types. Tweak event/method matching API. Use ordinal string
	  compares.

2009-02-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/BindingService.cs: Require a
	  parent project for several methods, since getting it from
	  the IType was unreliable.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.DesignerSupport.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.mdp: Use the system Mono.Cairo.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	*
	  gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs:
	  Flush.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Track changes in MD's assembly handling.
	  Mono.Cairo is no longer considered to be a "system"
	  assembly.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.mdp: Flush project format changes.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/DocumentOutlinePad.cs: Clean up widget
	management.

2009-01-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs: Make sure
	the list is the first widget to be focused when presenting the pad.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: TooltipWindow
	has been moved to MD.Components.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Track API changes.

2008-12-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/DocumentOutlinePad.cs: Track changes in
	the active view as well as the active document. Fixes Bug 450238 -
	Document outline should show source when in source view. Alsouse
	Alignment widget instead of custom InvisibleFrame.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.Projects/ProjectReferenceDescriptor.cs:
	Allow setting the SpecificVersion flag.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs: Track
	api changes.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.addin.xml: Hide/protect add-ins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* MonoDevelop.DesignerSupport.mdp: Add AssemblyInfo.cs files that are
	autogenerated from the addin manifests.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport.addin.xml: Bump MD version.

2008-11-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ComponentSelectorDialog.cs: Fix
	bug #430494 - When adding components, there is no way to stop the
	process.

2008-10-22  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.mdp: Updated.

	* MonoDevelop.DesignerSupport/CodeBehind.cs: Moved designer/codebehind
	lookup from MonoDevelop.AspNet.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport/BindingService.cs: Null checks in case
	event's ReturnType is null or unresolvable.

2008-10-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Remove lock, and add a
	GUI thread assertion so we can find the rogue thread that's causing
	Bug 434065.

2008-10-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Added lock for
	refresh.

2008-10-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport/DesignerSupportService.cs: Use a simple
	  lazy singleton instead of an IService.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs,
	  MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs: Add
	  support for using property grid to set arbitrary build actions.

2008-09-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs: Track
	  API, fix .ctor display formatting.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp: Updated projects.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs:
	  Updated generated code.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs: Track api changes.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Changed compilation unit/document meta information interface.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs: Moved
	  the extensible tree view to its own directory.

2008-08-22  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs: Make
	  property grid groups default to expanded.

2008-08-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs: Add
	  support for standard values and exclusive values if the converter
	  supports/provides them. Supply an ITypeDescriptorContext to the
	  TypeConverter.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/EnumerationEditorCell.cs:
	  Don't allow text caret, since the values are not editable.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyEditorCell.cs:
	  Implement ITypeDescriptorContext on EditorSession, so that cell
	  editors can easily provide one to the TypeConverter.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs: Change
	  some "as" casts to real casts -- InvalidCastException is more
	  informative than NRE.

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs:
	  Restore class outline functionality.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs,
	  MonoDevelop.DesignerSupport/WrapperDesignView.cs: Translated old
	  code to new dom.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport/TypeNotFoundException.cs,
	  MonoDevelop.DesignerSupport/MemberExistsException.cs,
	  MonoDevelop.DesignerSupport/BindingService.cs,
	  MonoDevelop.DesignerSupport/ErrorInFileException.cs: Changes for
	  converted refactoring infrastructure.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxConfiguration.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxList.cs,
	  MonoDevelop.DesignerSupport.Toolbox/TypeReference.cs,
	  MonoDevelop.DesignerSupport.Toolbox/TypeToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/UnknownToolboxNode.cs,
	  MonoDevelop.DesignerSupport/ToolboxService.cs: Moved serialization
	  engine to MonoDevelop.Core. Use new syntax for specifying attribute
	  scope.

2008-07-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs: Add button
	  to enable/disable help pane in property grid.

2008-06-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs: Require a specific
	  class part when creating members.

2008-06-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs: Make
	  IdentifierExistsInClass public again.

2008-06-23  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs: Group
	  members in regions. Reduce frequency of updates to 0.2Hz.

2008-06-19  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/MemberExistsException.cs: Improve
	  translatability.
	* MonoDevelop.DesignerSupport/BindingService.cs: Fix a possible NRE.
	  Check base classes when looking for conflicting identifiers.

2008-06-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs: Cache
	  precendence selection results in IEnumerable merger.

2008-06-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs: List
	  members in the order they're present in the file.

2008-06-13  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/ClassOutlineTextEditorExtension.cs,
	  Makefile.am: Implement document outline for .NET source files.

2008-06-10  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/DesignerSupportService.cs,
	  MonoDevelop.DesignerSupport/CodeBehindService.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindMissingClassBuilder.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindDisplayBinding.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindProjectFileExtension.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/ICodeBehindProvider.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindClassEventArgs.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindClass.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindViewContent.cs,
	  Makefile.am: Remove old CodeBehind grouping mechanism.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Bump MD version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/EnumerationEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/FlagsEditorCell.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Use the
	  OnDestroyed event instead of Dispose, since with the latest changes
	  in gtk#, Dispose is not called anymore when a widget is destroyed.

2008-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/CecilToolboxItemLoader.cs: Fix
	  warning.

2008-05-27  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs: Fix exception
	  catching from GTK thread.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp, Makefile.am,
	  MonoDevelop.DesignerSupport.Projects/WorkspaceItemDescriptor.cs,
	  MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs: Add
	  support for solution and workspaces.
	* MonoDevelop.DesignerSupport.Projects/SolutionItemPropertyProvider.cs,
	  MonoDevelop.DesignerSupport.Projects/SolutionItemDescriptor.cs:
	  Renamed.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Projects/CombineEntryDescriptor.cs: Allow
	  editing the root folder.

2008-05-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Update the toolbox
	  when project properties change.

2008-05-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Detect the runtime that the assembly references and pass it on to
	  the node builder. Catch and log more errors.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport/BindingService.cs,
	  MonoDevelop.DesignerSupport/CodeBehindService.cs,
	  MonoDevelop.DesignerSupport.Projects/CombineEntryDescriptor.cs,
	  MonoDevelop.DesignerSupport.Projects/CombineEntryPropertyProvider.cs,
	  MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs,
	  MonoDevelop.DesignerSupport.Projects/PropertyPadTextEditorExtension.cs,
	  MonoDevelop.DesignerSupport.Projects/ProjectReferenceDescriptor.cs:
	  New project model changes.

2008-05-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: fixed 'Bug 389065 -
	  Toolbox tooltips show while a drag taking place and do not hide'

2008-05-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/TextToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ITextToolboxNode.cs: Change
	  ITextToolboxNode API so that nodes have more control over when
	  they're shown.

2008-05-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport.mdp, gtk-gui/gui.stetic, Makefile.am:
	  Updated.
	* MonoDevelop.DesignerSupport/ToolboxService.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ComponentSelectorDialog.cs,
	  MonoDevelop.DesignerSupport.Toolbox/IToolboxProvider.cs: Track API.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs: Use
	  string.Empty instead of "".
	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/TextToolboxNode.cs: Remove dead
	  code. Mark up for property grid. Fix filtering. Fix comparisons.
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs: Fix
	  Equals.
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Fix filtering. Remove
	  old API usage. Implement IPropertyPadProvider for the toolpad.
	* MonoDevelop.DesignerSupport.Toolbox/BaseToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/CategoryToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxStore.cs: Remove dead
	  code.
	* MonoDevelop.DesignerSupport.Toolbox/CodeTemplateToolboxProvider.cs:
	  Fix logic. Remove cursor insertion marker.
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Remove use of
	  deprecated API. Need to fix the Droptarget/Iconise/Sort properties
	  of the categories.
	* MonoDevelop.DesignerSupport.Toolbox/CecilToolboxItemLoader.cs:
	  Abstract toolbox loader that uses Cecil to reflect for attributes.
	* MonoDevelop.DesignerSupport.Toolbox/TypeToolboxNode.cs: Fix Equals
	  (calls to Equals on ItemToolboxNode were resolving to base-specific
	  overloads, which weren't calling the overridden children).
	* MonoDevelop.DesignerSupport.Toolbox/TypeReference.cs: Mark up for
	  property grid. 
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Refactor to work better as a base class for loaders.
	* MonoDevelop.DesignerSupport.Toolbox/CecilTypeResolver.cs: Copied from
	  the Cecil linker.
	* MonoDevelop.DesignerSupport.PropertyGrid/EditorManager.cs: Make
	  expanding properties work with subclasses of ExpandableObject
	  typeconverter.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs: Make
	  expanding properties work with subclasses of ExpandableObject
	  typeconverter. Use string.Empty instead of "".

2008-05-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/CodeTemplateToolboxProvider.cs:
	  Fix compilation.

2008-05-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport.Toolbox/CodeTemplateToolboxProvider.cs,
	  Makefile.am: Add toolbox snippet provider that shows valid snippets
	  for text files.

2008-05-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Updated.

2008-05-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Use tooltip
	  window base class.

2008-05-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Removed default ToolboxItem
	  loader.
	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Updated.
	* MonoDevelop.DesignerSupport/ToolboxService.cs: Catch exceptions in
	  drag handlers so that they don't prevent the drag from completing.
	  Allow toolbox consumers to fully override filtering.
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxConsumer.cs: Add new
	  ICustomFilteringToolboxConsumer interface for consumers that want
	  to override the filtering completely.
	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs: Make
	  ItemFilters generic.
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs:
	  Reqimplemented Equals. Fixes a NRE.
	* MonoDevelop.DesignerSupport.Toolbox/TypeReference.cs: Add convenience
	  method for getting a ProjectReference.
	* MonoDevelop.DesignerSupport.Toolbox/TextToolboxNode.cs: Implement
	  ITextToolboxNode.
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs: Make
	  this a convenience base class.
	* MonoDevelop.DesignerSupport.Toolbox/ITextToolboxNode.cs: Add
	  interface for toolbox items that can provide text to a text editor,
	  filtered by file extension or mimetype.

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/CodeBehindService.cs: Remove unneeded
	  code; the parser service seems to handle parsing at startup.

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.CodeBehind/ICodeBehindProvider.cs,
	  MonoDevelop.DesignerSupport/CodeBehindService.cs,
	  MonoDevelop.DesignerSupport/DesignerSupportService.cs,
	  MonoDevelop.DesignerSupport.addin.xml: Change CodeBehind grouping
	  API so that it now uses parser service instread of an extension
	  point.

2008-04-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/IOutlinedDocument.cs,
	  MonoDevelop.DesignerSupport/DocumentOutlinePad.cs, Makefile.am,
	  icons/pad-document-outline-16.png: Add document outline pad that
	  will display an outline widget from documents that implement
	  IOutlinedDocument.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs: Show
	  mime type description in the properties pad.

2008-04-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs: Add methods for
	  getting CodeMemberMethod signatures from MD's parser DOM.

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Properly handle
	  the leave event. Should fix bug #366131.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.DesignerSupport.Toolbox/ComponentSelectorDialog.cs: Worked
	  on gnome hig compliant alerts.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: fixes tooltip bug.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Ctrl+F1 work now in
	  the toolbox.

2008-02-28  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs,
	  MonoDevelop.DesignerSupport.Toolbox/CategoryToolboxNode.cs: Fixed "Bug
	  365624 - Widget toolbox are shown unsorted".

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs: Fixed comparer bug

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs,
	  MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs,
	  MonoDevelop.DesignerSupport.Toolbox/CategoryToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs,
	  MonoDevelop.DesignerSupport.Toolbox/IToolboxProvider.cs: Worked on
	  category support for the toolbox service.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Fixed
	  nullrefexception.

2008-02-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Label is now taken
	  as tooltip, when Description is not set.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Removed some unused glade
	  and gnome-sharp references (only the unused). But I'll continue to
	  remove glade, we need to lower the dependency tree a bit.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Fixed toolbar widget
	  scrolling bug.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Added no tools
	  available message.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs,
	  MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Added some support for
	  view dynamic providers.

2008-02-21  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Added resize in toolbox
	  refresh.

2008-02-21  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Fixed little dnd bug.

2008-02-21  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxWidget.cs: Replaced old
	  toolbox with a new one.

2008-02-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Removed source editor dependency.

2008-02-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs: If no specific part is
	  specified when adding a member to a class, add it to the first part.
	  Fixes an error in the ASP.NET designer (and anything else using the
	  binding service without explicitly specifying class parts).

2008-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml, MonoDevelop.DesignerSupport.mdp,
	  Makefile.am, icons/toolbox-pad-16.png, icons/properties-pad-16.png: New
	  tango icons by Vinicius Depizzol.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/BooleanEditorCell.cs:
	  Properly draw checkboxes.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Update MD version.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Use the correct class to
	  get the node_hash private field.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs: Use a smaller
	  toolbar.

2008-01-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/CodeBehindService.cs: Improve error reporting
	  for invalid IClasses.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp: Updated project files. The order of
	  extended properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs: The ide is not yet fully
	  initialized when the toolbox service is created.

2007-12-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs,
	  MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs: Don't draw
	  shadows in pads (the new docking library does that already). Haven't
	  fixed property pad as it doesn't seem to be possible to remove the
	  borders from the Vpaned.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Make sure Gtk is properly
	  initialized in the process that looks for components. Added some missing
	  check.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Bump add-in versions.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Make sure the toolbox is
	  filled the first time it is shown.
	* gtk-gui/gui.stetic: Updated.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Directory reorganization.

2007-11-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml, MonoDevelop.DesignerSupport.mdp,
	  Makefile.am,
	  MonoDevelop.DesignerSupport.Projects/CombineEntryDescriptor.cs,
	  MonoDevelop.DesignerSupport.Projects/CombineEntryPropertyProvider.cs,
	  MonoDevelop.DesignerSupport.Projects/ProjectReferenceDescriptor.cs,
	  MonoDevelop.DesignerSupport.Projects/ProjectFileDescriptor.cs,
	  MonoDevelop.DesignerSupport.Projects/ProjectItemPropertyProvider.cs,
	  MonoDevelop.DesignerSupport.Projects/ProjectsPropertyProvider.cs: Added
	  some property descriptors for references and CombineEntry.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/CodeBehindService.cs,
	  MonoDevelop.DesignerSupport/ToolboxService.cs,
	  MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Track LoggingService API
	  changes.

2007-11-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs: Use a more
	  convenient color for grup headers.

2007-11-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs: Use RootCombine instead of
	  CurrentOpenCombine when possible.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp: Project file names updated by change in
	  MD path functions.

2007-10-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Updated.
	* MonoDevelop.DesignerSupport/TypeNotFoundException.cs,
	  MonoDevelop.DesignerSupport/MemberExistsException.cs,
	  MonoDevelop.DesignerSupport/BindingService.cs,
	  MonoDevelop.DesignerSupport/ErrorInFileException.cs: Better error
	  reporting, including filename/line number.

2007-10-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs,
	  MonoDevelop.DesignerSupport/MemberExistsException.cs: Improve error
	  output when Codebehind generation fails.

2007-10-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs: Walk down into base classes
	  when checking if compatible members are present in a class. If members
	  with same name exist, check type compatibility down through the class
	  hierarchy.

2007-10-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Initialize Gtk before trying to load the toolbox item. Needed since this
	  is done out of process.

2007-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs: Implement
	  IComparable so that the ToolboxService's array sort doesn't break on
	  non-GTK#-component toolbox nodes. Fixes AspNetEdit.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Bump MD version.

2007-09-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindProjectFileExtension.cs:
	  In BuildChildNodes, don't assume that HasChildNodes is false, because
	  other extensions may have added children to this node.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs,
	  gtk-gui/gui.stetic: Regenerated GUI files.
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Added NodeView subclass
	  and overrided OnDragDataDelete. This is necessary to avoid a GTK warning
	  about the need to override drag_data_delete.

2007-09-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/BindingService.cs,
	  MonoDevelop.DesignerSupport/OpenDocumentFileProvider.cs, Makefile.am:
	  Make OpenDocumentFileProvider publicly accessible so it can be used
	  elsewhere.

2007-09-19  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/CodeBehindService.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindMissingClassBuilder.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindProjectFileExtension.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindClassEventArgs.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindClass.cs, Makefile.am:
	  In CodeBehind service, track class names rather than IClasses, as
	  IClasses can change. Now much more careful to trigger only the
	  rebuilding of nodes which need to be rebuilt. May still be some
	  performance issues on large projects (from linear lookups of class
	  names, and requirement for CodeBehind parent parsing to happen at
	  project load time).

2007-09-19  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport/CodeBehindService.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindMissingClassBuilder.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindClassBuilder.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindProjectFileExtension.cs:
	  Audit and restructure the CodeBehind grouping so that it updates
	  correctly and handles partial classes.
	* MonoDevelop.DesignerSupport.mdp, Makefile.am, gtk-gui/gui.stetic: Updated
	  & fix GTK# version at 2.8.
	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindDisplayBinding.cs:
	  Disable fully, as it doesn't work properly. Needs some core work to make
	  it workable.

2007-09-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.PropertyGrid/IPropertyPadProvider.cs: Added
	  some documentation.

2007-09-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml, MonoDevelop.DesignerSupport.mdp,
	  Makefile.am,
	  MonoDevelop.DesignerSupport.Projects/PropertyPadTextEditorExtension.cs:
	  When the focus is in the text editor, show the properties of the file in
	  the property pad. Fixes bug #82255.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport/DesignerSupportService.cs,
	  MonoDevelop.DesignerSupport/ToolboxService.cs,
	  MonoDevelop.DesignerSupport/PropertyPad.cs,
	  MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid/IPropertyPadProvider.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid/PropertyPadVisitor.cs: Changes
	  due to new property infrastructure.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/DesignerSupportService.cs: Add missing null
	  check.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport/DesignerSupportService.cs: Removed the
	  CommandService class. Everything is done directly with CommandManager.
	  Moved all extension node types to MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml, MonoDevelop.DesignerSupport.mdp,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs,
	  Makefile.am: Reorganized the extension point hierarchy. Embedded all
	  add-in manifests as resources.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindProjectFileExtension.cs:
	  Converted DispatchService to a static class.

2007-07-27  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/PropertyPad.cs: Assign the property pad
	  to the service only when it is completely initialized.

2007-07-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Sort toolbox items.

2007-07-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/DesignerSupportService.cs: When the
	  property pad is show, initialize it with the data of the latest
	  provider found. Fixes bug #82166.

2007-07-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs,
	  MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs: Fixed
	  Bug 82104:Toolbox White Using Dark Theme.

2007-07-19  Ben Motmans <ben.motmans@gmail.com>

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: overwrite the
	node_hash field with a standard hashtable [fixes #81942]

2007-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs: Improve
	  tooltip look.

2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/Commands.cs,
	  MonoDevelop.DesignerSupport/ToolboxService.cs,
	  MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs, Makefile.am: Added
	  a context menu to the toolbox, which allows adding/removing items.
	* MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs: Show the
	  tooltip centered. Avoid the selection to be cleared when clicking
	  on an item. Redraw the widget when the item list changes.

2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/ToolboxService.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.DesignerSupport.Toolbox.ComponentSelectorDialog.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ComponentSelectorDialog.cs,
	  Makefile.am: Implemented an index of components, which can be used
	  by the user to select which components have to be shown in the
	  toolbar.
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs: Toolbox
	  configuration loading/saving is now handled by the toolbox service.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs: Fix
	  warning.
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxConsumer.cs: Removed
	  TODO.
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxConfiguration.cs: New
	  class that stores toolbox information.
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxList.cs: Moved
	  serialization code to ToolboxConfiguration.
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxProvider.cs:
	  Implementations of IToolboxDefaultProviders can now return a file
	  that implements toolbox items and all of them will be loaded by
	  default in the toolbox. It is not necessary to specify all default
	  items one by one, although it can still be done.

2007-07-02  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs,
	  MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs: Worked
	  on toolbox view (tooltips, sizing and some behavior issues).

2007-06-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs: Fix size
	  request calculation.

2007-06-28  Mike Krüger <mkrueger@novell.com> 

	* icons/md-design-listboxtoggle.png: Added an icon for the toolbox
	  listbox toggle.

2007-06-28  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs: Removed
	  some debugging code.

2007-06-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs: Worked on
	  tooltips & scrolling.

2007-06-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs,
	  MonoDevelop.DesignerSupport.Toolbox/CompactToolboxView.cs,
	  MonoDevelop.DesignerSupport.Toolbox/CategoryToolboxNode.cs: Worked
	  on a more compact owner drawn toolbox view.

2007-06-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Avoid adding
	  duplicated widgets.
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Catch exception
	  thrown when dragging items.

2007-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport/PropertyPad.cs: Default pad placement
	  is now specified in the xml file.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs: Don't
	  use the CurrentNode property in the OnChanged event since it may
	  not be properly initialized when the event is fired.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Changed add-in category.

2007-05-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/CustomDescriptor.cs, Makefile.am: Added
	  default implementation of ICustomTypeDescriptor.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/CollectionEditor.cs:
	  Removed debug code.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/EnumerationEditorCell.cs:
	  If an enum member has a Description attribute applied to it, use it
	  as display name.
	* MonoDevelop.DesignerSupport.Projects/ProjectsPropertyProvider.cs:
	  Added more complete descriptions of the properties. Disable the
	  ResourceId property if the file is not a resource.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs: When
	  the value of a property changes, update all other properties, since
	  their values may also change, or they may be enabled/disabled.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp: Deploy the addin.xml file.
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs: Added some
	  null checks.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Reference shared
	  assemblies from the correct location.

2007-03-07  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport.PropertyGrid/EditorManager.cs: Avoid 
	  some invalid PropertyEditorCell casts.
	
	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs: Tweaks to aid 
	  in tracking down exceptions. The error display should really be moved 
	  into the MD thread so that the entire designer process can go down,
	  or we risk having loose ends. 

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport.mdp,
	  MonoDevelop.DesignerSupport/DesignerSupportService.cs,
	  MonoDevelop.DesignerSupport/CodeBehindService.cs,
	  MonoDevelop.DesignerSupport/ToolboxService.cs, Makefile.am:
	  Migration to Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml,
	  MonoDevelop.DesignerSupport.Projects/ComponentNodeBuilder.cs,
	  MonoDevelop.DesignerSupport.Projects/ProjectsPropertyProvider.cs:
	  Implemented property providers for the Project and Class pad.
	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Updated.
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs,
	  MonoDevelop.DesignerSupport/IPropertyProvider.cs,
	  MonoDevelop.DesignerSupport/PropertyPad.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs:
	  Implemented support for multiple property providers for a
	  component. Property providers can add properties to be shown in the
	  property pad for a specific type of object. Add-ins can register
	  new property providers in a new extension point.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/FloatRange.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/ColorEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/BooleanEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/TimeSpanEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/EventEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/CharPropertyEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/EnumerationEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/FlagsEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/DateTimeEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/IntRange.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid/PropertyPadVisitor.cs:
	  Track api changes.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyEditorCell.cs: When
	  initializing a cell, provide the EditSession instead of the
	  PropertyDescriptor. In this way the cell can have more control over
	  the property editing session.
	* MonoDevelop.DesignerSupport.PropertyGrid/IPropertyPadProvider.cs:
	  Added method which allows providing the object from which to get
	  and set properties, which can now be different from the real
	  component (it can be for example a wrapper). Also added methods
	  which are called when the edit session ends.
	* MonoDevelop.DesignerSupport.PropertyGrid/EditorManager.cs: Allow
	  specifying cell editors using the EditorAttribute.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs: Fire
	  Changed and EndEditing events.

2007-03-07 Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport/BindingService.cs: Clean up 
	  CreateAndShowMember. Jump to selected member. Remove GUI 
	  threadsafety code -- consumers should handle this.

2007-03-07 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Makefile.am: Remove ENABLE_DESIGNERSUPP check as it should always 
	  be built now.

2007-03-07  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs:
	  Only restart GUI thread if it was stopped by an exception. This 
	  means that the GUI thread will now be able to stop, so there 
	  won't be lots of orphaned mdhost processes left around.

2007-03-06  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/EventEditor.cs:
	  Initialize override should call base, so display text gets set.

2007-03-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Updated.
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs: Added methods
	  for changing the content of the property pad.
	* MonoDevelop.DesignerSupport/MemberExistsException.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindDisplayBinding.cs,
	  MonoDevelop.DesignerSupport.CodeBehind/CodeBehindViewContent.cs:
	  Fix warnings.
	* MonoDevelop.DesignerSupport/ToolboxService.cs: Implement support for
	  drag&drop and track changes in dynamic item providers.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/EnumEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/StringEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/BaseEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/ColorEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/NumberEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/BoolEditor.cs:
	  Removed old editors.
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditorDialog.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/FlagsSelectorDialog.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/FloatRange.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/ColorEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/BooleanEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/TimeSpanEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/EventEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/CharPropertyEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/TextEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/DefaultEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/EnumerationEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/ExpandableObjectEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/CollectionEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/FlagsEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/DateTimeEditor.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid.Editors/IntRange.cs:
	  Implemented editors for the new TreeView based property grid.
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxConsumer.cs: Added
	  support for drag&drop.
	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/TypeToolboxNode.cs,
	  MonoDevelop.DesignerSupport.Toolbox/TypeReference.cs: Implement
	  GetHashCode().
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Add support for
	  drag&drop. Use smaller icons for the toolbar.
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxProvider.cs: Added event
	  to update the toolbox items of a dynamic provider.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyEditorCell.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs,
	  MonoDevelop.DesignerSupport.PropertyGrid/PropertyGridTree.cs:
	  Implemented TreeView based property grid.
	* MonoDevelop.DesignerSupport.PropertyGrid/GridRow.cs: Removed, not
	  needed anymore.
	* MonoDevelop.DesignerSupport.PropertyGrid/IPropertyPadProvider.cs: New
	  interfaces for providing custom property pad content.
	* MonoDevelop.DesignerSupport.PropertyGrid/EditorManager.cs: New
	  manager for the TreeView based property grid.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyPadVisitor.cs: New
	  command target visitor for getting the currently selected
	  component.
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyValueChangedEventArgs.cs:
	  Track api changes.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.addin.xml: Change add-in versions to
	  0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp, Makefile.am: Synchronized the MD
	  project and the Makefile

2007-02-06  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs,
	* MonoDevelop.DesignerSupport.PropertyGrid/EventPropertyTab.cs,
	* MonoDevelop.DesignerSupport.PropertyGrid/DefaultPropertyTab.cs,
	* MonoDevelop.DesignerSupport/ToolboxService.cs: make strings translatable

2006-02-01  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport.Toolbox/TypeToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/TypeReference.cs:
	* Makefile.am:
	  Split class into separate file. Improve comments.
	  
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs:
	* MonoDevelop.DesignerSupport/CodeBehindService.cs:
	  Added an Initialise method to CodeBehindService so that it can 
	  subscribe to project events.
	  
	* MonoDevelop.DesignerSupport.CodeBehind/ICodeBehindProvider.cs:
	  Completely changed the way the Codebehind bindings are provided.
	  
	* MonoDevelop.DesignerSupport/CodeBehindService.cs:
	  Keep a list of CodeBehind bindings and update it as file change and 
	  class change events come in.
	  Fire CodeBehind change events when anything is updated.
	  
	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindClassBuilder.cs:
	  If CodeBehind class cannot be found, display a notice to that effect.
	  
	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindProjectFileExtension.cs:
	  Only hide class files if they just contain a single codebehind file.
	  Use events from CodeBehindService to rebuild nodes selectively.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/WrapperDesignView.cs: Use the new
	  GetContent method instead of casting the view to the required
	  interface.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.DesignerSupport.mdp: Updated.
	* MonoDevelop.DesignerSupport/BindingService.cs,
	  MonoDevelop.DesignerSupport/WrapperDesignView.cs: Track api changes
	  in Document class.

2006-11-14  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Makefile.am:
	* MonoDevelop.DesignerSupport.mdp: Updated.
	
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs: Renamed
	  ToolboxService.(Load|Save)Contents to (Load|Save)SaveUserToolbox.
	
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxProvider.cs: New file.
	* MonoDevelop.DesignerSupport.addin.xml: 
	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	  New IToolboxDefaultProvider and IToolboxDynamicProvider extension 
	  points so that AddIns can provide default and dynamic toolbox items.
	
	* MonoDevelop.DesignerSupport/ToolboxService.cs: Split allItems source 
	  of toolbox items. It now sources from userItems, defaultItems and 
	  dynamicProviders.
	
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxList.cs: New file. 
	  Expanded ToolboxList to handle loading/saving functionality.
	  
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxConsumer.cs: Removed 
	  GetDynamicItems method; this functionality can now be implemented 
	  separately as a dynamic toolbox provider.
	  
	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/TypeToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs:
	  Proper Equals implementation, so that we can avoid node duplication.
	
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  New overload for Load using an Assembly instead of a filename.

2006-10-21  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	  Record the assembly location if it did not come from the GAC.
	* MonoDevelop.DesignerSupport.Toolbox/TypeToolboxNode.cs:
	  Avoid trying to load from GAC when we actually have the assembly 
	  location, so avoiding an exception.
	  Together these are part 2 of getting custom controls to load.
	
	* MonoDevelop.DesignerSupport.Toolbox/TypeToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs:
	  Helper constructors for recording assembly location for types that 
	  come from non-GAC assemblies.

2006-09-16  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport/BindingService.cs: Refactor a lot of code 
	  from AddMemberToClass into GetCompatibleMemberInClass, because it's 
	  useful separately.

2006-08-31 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.addin.xml:
	  Updated add-in dependencies.

2006-08-21  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindDisplayBinding.cs:
	  Disable CodeBehind display binding. Needs some works on Core to make 
	  it work properly. 

2006-08-05  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport/ToolboxPad.cs:
	  Clean up namespace alias.
	  
	* MonoDevelop.DesignerSupport/BindingService.cs:
	  Add a lot of methods to support AspNetEdit event binding.
	  Make static, because there's nothing large to initialise.
	  Enable refactoring of open files (broken for secondary ViewContents).
	  
	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs:
	  Fix exception handling and GUI threading.
	  
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs:
	  Remove Binding service; it's now static.
	  
	* MonoDevelop.DesignerSupport/WrapperDesignView.cs:
	  Dispose child ViewContent content.
	  
	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxConsumer.cs:
	  Support for displaying dynamic items provided by current consumer.
	  Rename Use method to ConsumeItem.
	  Hide UnknownToolboxNodes.
	
	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindDisplayBinding.cs:
	  Load file into child view. No idea why this was working before.
	  
	* MonoDevelop.DesignerSupport/ToolboxPad.cs:
	* MonoDevelop.DesignerSupport/BindingService.cs:
	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs:
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs:
	* MonoDevelop.DesignerSupport/CodeBehindService.cs:
	* MonoDevelop.DesignerSupport/MemberExistsException.cs:
	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	* MonoDevelop.DesignerSupport/PropertyPad.cs:
	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindDisplayBinding.cs:
	* MonoDevelop.DesignerSupport.CodeBehind/ICodeBehindProvider.cs:
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxConsumer.cs:
	* MonoDevelop.DesignerSupport.Toolbox/UnknownToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxLoader.cs:
	* MonoDevelop.DesignerSupport.Toolbox/IToolboxLoader.cs:
	  Add missing copyright information.

2006-08-04 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.DesignerSupport/WrapperDesignView.cs: Add support
	  for IEncodedTextContent.
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs: Fix build for
	  gtk# 2.4.

2006-07-29  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs:
	  More flexible exception handling, and display errors.
	
	* MonoDevelop.DesignerSupport/WrapperDesignView.cs:
	  Add a means of adding a 'bar' to the top of the view.
	* MonoDevelop.DesignerSupport.CodeBehind/CodeBehindViewContent.cs:
	  Move file name from tab to top 'bar'.
	  
	* MonoDevelop.DesignerSupport/ToolboxService.cs:
	  Rename OnToolboxChanged to OnToolboxContentChanged to remove ambiguity.
	  Re-enable contextual filtering.
	  Use project service's DataContext for serialisation.
	  
	* MonoDevelop.DesignerSupport/PropertyPad.cs:
	  Remove shadow from frame.
	  
	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/TypeToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/BaseToolboxNode.cs:
	  Fix serialisation, both for persisting toolbox and for remoting 
	  toolbox nodes.
	  
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	Track OnToolboxChanged name change.
	  
	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs:
	  Reduce height of help pane.
	  Make sure that image resource comes from correct assembly when remoting.

2006-07-25  Matej Urbas <matej.urbas@gmail.com>

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Prevent null 
	  exception when all documents are closed. 

2006-07-25  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport.mdp:
	* Makefile.am: Add files to build.
	  
	* MonoDevelop.DesignerSupport/BindingService.cs:
	* MonoDevelop.DesignerSupport/MemberExistsException.cs:
	* MonoDevelop.DesignerSupport/DesignerSupportService.cs:
	  New service, assists with adding CodeBehind memebers. Incomplete.
	
	* MonoDevelop.DesignerSupport/RemoteDesignerProcess.cs: Base class for 
	  remoted designer, handles Gtk.Sockets and the Gtk# thread.
	
	* MonoDevelop.DesignerSupport/WrapperDesignView.cs: Override base member
	  instead of hiding it.
	
	* MonoDevelop.DesignerSupport/PropertyPad.cs:
	  Fix widget reparenting.

2006-07-25  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport/ToolboxService.cs: Close file after 
	deserialising toolbox.

2006-07-21  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport/DesignerSupportService.cs: 
	Store toolbox data in the correct location.
	* ChangeLog: add missing entries.

2006-07-21  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport.Toolbox/*:
	* MonoDevelop.DesignerSupport.PropertyGrid/*:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/*:
	* MonoDevelop.DesignerSupport/*:
	* MonoDevelop.DesignerSupport.CodeBehind/*:
	* Makefile.am:
	* MonoDevelop.DesignerSupport.addin.xml:
	* MonoDevelop.DesignerSupport.mdp:
	* icons/*:
	Import the Designer Support addin.

2006-07-21  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport.Toolbox/*:
	* MonoDevelop.DesignerSupport.PropertyGrid/*:
	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/*:
	Import AspNetEdit property grid and toolbox.

2006-04-27  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport.Toolbox/CategoryToolboxNode.cs: 
	Make sure we cover all items in filtering loop.

2006-04-27  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs: 
	  Accessor for ToolboxItem.
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxStore.cs:
	  Don't rebuild after blank filter.
	* MonoDevelop.DesignerSupport.Toolbox/CategoryToolboxNode.cs:
	  Add Clear () method to remove all children.
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	  Get categories from ToolboxService, and maintain expansion 
	  and selection state where possible.
	
2006-04-26  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.DesignerSupport.Toolbox/BaseToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/CategoryToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ItemToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/TextToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/Toolbox.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxItemToolboxNode.cs:
	* MonoDevelop.DesignerSupport.Toolbox/ToolboxStore.cs: 
	  Add new NodeStore-based Toolbox.

	* MonoDevelop.DesignerSupport.PropertyGrid/PropertyGrid.cs:	
	  Add Refresh method as interim workaround for not being
	  able to track externally changed values of properties.

2006-01-16 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.DesignerSupport.PropertyGrid.Editors/StringEditor.cs: 
	  Write helpful trace message after swallowing PropertyConverter failure.
